/******************************************************************
(c) Copyright OMRON Corporation 1990

                        All Rights Reserved

******************************************************************/

long		*sx_op_cont0[16];
long		*sx_op_cont[8][16];
long		*sx_conv_op_cont0[16];
long		*sx_conv_op_cont[8][16];
long		*sx_trans_op_cont0[16];
long		*sx_trans_op_cont[8][16];
long		*sx_trans_conv_op_cont0[16];
long		*sx_trans_conv_op_cont[8][16];
long		*sx_const_src_op_cont0[16];
long		*sx_const_src_op_cont[8][16];
long		*sx_invert_op_cont0[16];
long		*sx_invert_op_cont[8][16];

long		*sx_pselect_reg;
long		*sx_refresh_reg;

long		sx_plane_mask;


char	conv_op_table[16] = {
	0,0,0,0,
	5,5,5,5,
	10,10,10,10,
	15,15,15,15
};

char	trans_conv_op_table[16] = {
	4,4,4,4,
	5,5,5,5,
	6,6,6,6,
	7,7,7,7
};

char	const_src_op_table[16] = {
	0,5,10,15,
	0,5,10,15,
	0,5,10,15,
	0,5,10,15
};

char	invert_op_table[16] = {
	0, 4, 8, 12,
	1, 5, 9, 13,
	2, 6, 10,14,
	3, 7, 11,15
};

char gmwtosxop[16] = {
	0x0,	/* CLEAR */
	0x1,	/* SRC & DST */
	0x4,	/* SRC & ~DST */
	0x5,	/* SRC */
	0x2,	/* ~SRC & DST */
	0x5,	/* NOP (3 is Special function for HM53462)*/
	0x6,	/* SRC ^ DST */
	0x7,	/* SRC | DST */
	0x8,	/* ~SRC & ~DST */
	0x9,	/* ~SRC ^ DST */
	0xc,	/* ~DST */
	0xd,	/* SRC | ~DST */
	0xa,	/* ~SRC */
	0xb,	/* ~SRC | DST */
	0xe,	/* ~SRC | ~DST */
	0xf,	/* SET */
};
