/******************************************************************
(c) Copyright OMRON Corporation 1990

                        All Rights Reserved

******************************************************************/

#define MSB_LEFT	4
#define MSB_MIDDLE	2
#define MSB_RIGHT	1

#define	LEFT_PRESSED(b)		((b) & (MSB_LEFT << 6))
#define MIDDLE_PRESSED(b)	((b) & (MSB_MIDDLE << 6))
#define RIGHT_PRESSED(b)	((b) & (MSB_RIGHT << 6))

#define LEFT_RELEASED(b)	((b) & (MSB_LEFT << 3))
#define MIDDLE_RELEASED(b)	((b) & (MSB_MIDDLE << 3))
#define RIGHT_RELEASED(b)	((b) & (MSB_RIGHT << 3))

#define MOUSE_EVENT(b)		((b) & 0x01f8)
#define BUTTON_PRESSED(b)	((b) & 0x01c0)
#define BUTTON_RELEASED(b)	((b) & 0x0038)

#define	LEFT_UP(b)		((b) & MSB_LEFT)
#define MIDDLE_UP(b)		((b) & MSB_MIDDLE)
#define RIGHT_UP(b)		((b) & MSB_RIGHT)

#define LEFT_DOWN(b)		(!LEFT_UP(b))
#define MIDDLE_DOWN(b)		(!MIDDLE_UP(b))
#define RIGHT_DOWN(b)		(!RIGHT_UP(b))

